Cadquery: how to create holes on multiple faces of a box?

69 Views Asked by At

I am trying to create holes on multiple faces of created box.

import cadquery as cq
s = cq.Workplane().box(200,100,25)
s = (s
     .faces("<X")
    .workplane()
    .pushPoints([(10, 0)])
    .cboreHole(5, 6, 10,depth=10)
    .faces(">Z")
    .workplane()
    .pushPoints([(0, 10)])
    .cboreHole(5,6,10,depth=10)

)

show_object(s)

The code works fine if we keep either half of logic from faces to cboreHole, but fails when combined.
I tried different approaches to try to refer to the main box when creating the second hole, including tag/workplaneFromTagged, but none works.

0

There are 0 best solutions below